/*
 * temperature_sensor.pde
 * -----------------
 * Takes the sensor (LM335) input and converts it
 * to Kelvin degrees, then celsius.
 * Subtract 2.5 celsius degrees that seem 
 * to be the sensor error perhaps due to the heat 
 * generating by the current running through it.
 * 2.5 degrees were calculated by using a mercury 
 * thermometer next to the sensor.
 *
 * http://spacetinkerer.blogspot.com
 *
 * -------------------------
 * modified by Kodaira in order to have two sensors.
 *
 */
 
float temp_in_celsius = 0, temp_in_kelvin=0, temp_in_fahrenheit=0;

void setup()
{
  Serial.begin(9600); 
}

void loop()
{

  //Reads the input and converts it to Kelvin degrees
  temp_in_kelvin = analogRead(0) * 0.004882812 * 100;
  
  //Converts Kelvin to Celsius minus 2.5 degrees error
  temp_in_celsius = temp_in_kelvin - 2.5 - 273.15; 
  
  Serial.print(temp_in_celsius);
  Serial.print(',');
  
  temp_in_kelvin = analogRead(1) * 0.004882812 * 100;
  
  //Converts Kelvin to Celsius minus 2.5 degrees error
  temp_in_celsius = temp_in_kelvin - 2.5 - 273.15; 
  
  Serial.println(temp_in_celsius); 

  delay(100); 
}

